2017-03-02  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.49

2014-11-23  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.48

2014-11-21 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: new method E1
	  valid from 2013-12-09
	* src/lib/methods.cc: update of methods
	  - 66 for due-date 2014-03-03
	  - 90 for due-date 2014-09-08

2014-09-23  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.47

2014-08-12  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.46

2014-02-16  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.45

2013-12-30  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.44

2013-09-29 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: Method 95 update for due date 2013-09-09

2013-08-08  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.43

2013-07-29 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: Method 57 update for due date 2013-09-09

2013-07-28 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: update of methods
	  - C6 and D1 for due-date 2013-03-04
	  - 51 and 84 for due-date 2013-06-03

2013-05-29  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.42

2012-05-14 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: new method E0
	Valid from 3. June 2013 onwards.

2013-03-02  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.41

2012-09-05  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.40

2012-05-30  Christian Stimming  <stimming@tuhh.de>

	* src/bankdata/online_update.pl.in: Adapt online_update script to
	new bundesbank.de website.

2012-05-14  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.39

2012-05-14 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: new method D9
	Valid from 4. June 2012 onwards.

2012-03-21  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.38

	* src/bankdata: Update bankdata file, valid from 2012-03-05
	onwards.

2011-12-04  Christian Stimming  <stimming@tuhh.de>

	* src/bankdata: Update bankdata file, valid from 2011-12-05
	onwards.

2011-09-26  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.36

	* src/lib/ktoblzcheck.cc: Replace all assertions with graceful
	failure: Error message is printed and all banks are unknown, but
	no crash.

2011-09-06  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.35

2011-09-05  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: The bank data filenames are now read
	from the installation directory, not any longer taken from a
	compiled-in list. This means the bank data update can be done
	completely by the user now.

2011-09-04 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: modified methods B6 and D1
	Valid from 5. September 2011 onwards.

2011-08-25  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.34

2011-06-07  Christian Stimming  <christian@cstimming.de>

	* configure.ac: Fixed erroneous library version number. Release
	ktoblzcheck-1.33.

2011-05-21  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.32

	* src/bankdata/Makefile.am (dist_idata_DATA): Update bankdata
	file, valid from 2011-06-06 onwards.

2011-04-18 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: added new methods D7 and D8,
	modified methods B8, C6 and D4
	Valid from 6. June 2011 onwards.
	* whitespace cleanup: removing trailing blanks
	and spaces before tab

2011-02-11  Christian Stimming  <stimming@tuhh.de>

	* configure.ac, src/bankdata/Makefile.am: Release ktoblzcheck-1.31
	that fixes an error in the build system.

2011-02-10  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.30

	* src/bankdata/Makefile.am (dist_idata_DATA): Update bankdata
	file, valid from 2011-03-07 onwards.

2011-01-09 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: added new Method D6, changed Method D1
	Valid from 7. March 2011.

2010-11-10  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.29

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2010-12-06 onwards

2010-10-23 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: added new Method D5
	Valid from 10. December 2010.

2010-08-11  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.28

2010-08-10 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: fixing method 96 and 63
	Thanks to Harald Krug for the test and the bugreport.

2010-08-10  Christian Stimming  <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2010-09-06 onwards.

2010-05-12  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.27

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from 2010-06-07 onwards.

2010-04-08 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: modified Methods C6 and D1, add method D4
	Valid from 7. June 2010.

2010-03-10  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.26

	* src/lib/ktoblzcheck: Fix broken loading of current bankdata file
	by dynamically creating the list of current files at compile time.

2010-02-02  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.25

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2010-03-08 onwards.

2009-12-16  Christian Stimming  <stimming@tuhh.de>

	* src/lib/method.cc: Fix method 23 (zero padding must come at the
	end, not the beginning). Patch by Manfred Dohmen.

2009-11-17  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.24

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2009-12-07 onwards.

2009-09-25  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Fix forgotten define of OS_WIN32 macro, removed in
	r191 on 2007-02-17, which means the runtime lookup of the bankdata
	path has never worked since then (duh!)

2009-08-02  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.23

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2009-09-07 onwards.

2009-06-20  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.22

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2009-06-08 onwards.

2009-02-09  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.21

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2009-03-09 onwards.

2009-01-14 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: modified Methods C6.
	Valid from 9. March 2009.

2008-11-14  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.20

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2008-12-08 onwards.

2008-10-05 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: New methods D2 and D3
	Valid from 8. December 2008.

2008-08-12  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.19.

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2008-09-08 onwards.

2008-07-07 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: New methods D0 and D1
	Valid from 8. September 2008.

2008-05-16  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.18.

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2008-06-09 onwards.

2008-05-07 Alexander Kurz <sf2@blala.de>
	* src/lib/methods.cc: New methods C8 and C9
	Valid from 6. June 2008.

2008-03-01  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.17.

	* src/bankdata/bankdata.txt, src/lib/ktoblzcheck.cc: Updated
	bankdata file, now valid from 2008-03-03 onwards.

2008-02-02  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: When finished with time operations, call
	tzset() again to reset its variables to (hopefully) the original
	state.

2008-01-29  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Fix handling of "TZ" env variable if it
	was unset beforehand. Pointed out by Andreas Pakulat.

2008-01-07  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Set the initial struct tm to zero to
	avoid crashes on FreeBSD and apparently Mac OS X, too.

2007-12-27  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Add unittest to extract_date function so
	that the obnoxious OSX failure shows up at make check.

2007-12-26  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc (populate_dated_files): If the dates
	could not be parsed, use at least the last available file from the
	list so that a crash is avoided.

2007-12-14 Alexander Kurz <sf@blala.de>
	* src/lib/methods.cc: cleanup: all method()-functions now have
	 a const int *account argument. Some rewrite had to be done
	 in method_24() and method_26() for this.

2007-12-11  Christian Stimming  <stimming@tuhh.de>

	* src/bin/*, src/lib/*: Clean up header includes for gcc-4.3
	compatibility.

2007-11-07  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.16.

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2007-12-03 onwards.

2007-10-26  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Activate the new dated bankdata files as
	default.

2007-10-16  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Fix to compile on windows/mingw again.

2007-10-15  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc (populate_dated_files): Replace
	strptime() which is unavailable on windows. Simplify date ranges
	even more to only take a start date, guess the end date and set it
	if we know it.

2007-08-12 Alexander Kurz <sf@blala.de>
	* src/lib/methods.cc: New methods C7.
	Valid from 3. December 2007.
	Note: Method C7 depends on a version of method_63
	keeping the account-argument constant. This is fixed as well.
	* src/lib/algorithms.[ch]: cleanup: all algo()-functions now have
	arguments declared const.

2007-09-03  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.15

2007-08-12  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Add implementation of dated bankdata
	files. TODO: Needs testing. If okay, can be activated by default
	but this is not yet the case. TODO: Add C wrappers for new
	functions.

2007-08-12 Alexander Kurz <sf@blala.de>
	* src/lib/methods.cc: New methods C5 and C6.
	   Valid from 3. September 2007.
	* src/lib/methods.cc, src/lib/algorithms.cc/h:
	   Fixing method 74/Ausnahme to accept leading zeros.
	   Converted methods 74 and 87 to two-arguent notation.

2007-08-11  Christian Stimming  <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2007-09-03 onwards.

2007-07-09  Christian Stimming  <stimming@tuhh.de>

	* src/bin/ktoblzcheck.cc: Add missing include file for gcc-4.3 as
	reported by Martin Michlmayr.

2007-07-08  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.14

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2007-06-04 onwards.

2007-06-21 Alexander Kurz <sf@blala.de>

	* src/lib/methods.cc: Fixing method 74/Ausnahme:
	6-digit Account numbers with last number [5-9]
	computed incorrect results.
	Thanks to Thomas Papke for the Bugreport.
	Note: changes from 2007-06-04 for method 74 announced
	by the Bundesbank do not affect this implementation.

2007-02-17  Christian Stimming  <stimming@tuhh.de>

	* configure.ac: Release ktoblzcheck-1.13

	* configure.ac: Simplify configure script; remove checks and
	variables that are no longer necessary.

2007-02-16   Christian Stimming <stimming@tuhh.de>

	* include/ktoblzcheck.h, src/lib/accnum.cc: Add method
	AccountNumberCheck::bankdata_dir() to ask for the directory of the
	bank data. Add binreloc that will allow you full relocation on
	unix platforms as well.

2007-02-12   Christian Stimming <stimming@tuhh.de>

	* ktoblzcheck.iss.in: Don't install registry keys anymore. Don't
	install the ktoblzcheck32.dll anymore since libktoblzcheck-1.dll
	is just fine for everyone.

	* src/lib/algorithms.cc: On windows, don't lookup the installation
	path of bankdata.txt from the registry but instead use
	GetModuleFileName that retrieves the path of the executable file
	of the current process. We are guessing that the bankdata is
	installed below the same prefix.

2006-02-09   Christian Stimming <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2007-03-05 onwards.

2007-02-09 Alexander Kurz <sf@blala.de>

	* src/lib/algorithms.cc: Fixing wrong implementation of
	Pruefmethode 02 and similar methods 04, 07, 14, 58, 85/a, A2/v2,
	B2/v1, B4/v2, C3/v2, C4/v2. Thanks to Reinhard Zitzmann for
	pointing these out.

2007-01-15 Alexander Kurz <sf@blala.de>

	* src/lib/methods.cc: New methods C3 and C4. Valid from 5. March
	2007.

2006-11-24 Alexander Kurz <sf@blala.de>

	* src/lib/methods.cc: New version of Prüfzifferberechnungsmethode
	57 used by Citybank. Valid from 4. Dezember 2006.  Sorry, missed
	the release.

2006-11-23   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Released version ktoblzcheck-1.12.

2006-11-13   Christian Stimming <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2006-12-04 onwards.

	* configure.ac: Fix/improve internal libs flags as proposed by
	David Reiser and the Fink packagers.

2006-10-29  Christian Stimming  <stimming@tuhh.de>

	* src/python/ktoblzcheck.py: Fix python wrapper with ctypes>=0.9.9
	as contributed by Michael Dietrich.

2006-08-15   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Release version ktoblzcheck-1.11.

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2006-09-04 onwards. Oops, did we forget to make a release with the
	last update?

2006-05-18   Christian Stimming <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2006-06-05 onwards; this is the first file in the new
	Satzstruktur.

	* src/bankdata/online_update.pl.in: Adapt script to newly changed
	filenames in new Satzstruktur.

2006-05-17 Alexander Kurz

	* src/lib/methods.cc: Fixing obsolete stuff not used by any bank:
	  Method 93/A4 Variant2 and Method A0.

2006-05-12  Christian Stimming  <stimming@tuhh.de>

	* src/lib/methods.cc: Fix C1 method, by Alexander Kurz.

2006-05-05 Alexander Kurz

	* src/lib/methods.cc: Bugfix and cleanup for all occurances of
	  "exception in Method 51"/"Sachkonten": variant 1 computing inverse results
	  Changes affect methods 51,73,80,81,84,86,87,A8

	* src/lib/methods.cc: added new Methods C1 and C2. revised Method A8.
	  some cleanup in B4 and B5.

2006-02-13   Christian Stimming <stimming@tuhh.de>

	* configure.ac: Release version ktoblzcheck-1.10.

	* src/include/ktoblzcheck.h.in: Make the header file an
	auto-generated file so that the package version number is
	available as a #define.

2006-02-01   Christian Stimming <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2006-03-06 onwards

2006-01-11  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Add missing includes for gcc2.x
	compiler. Suggested by Felix Stellmacher.

2005-12-23  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Use heap-allocated arrays when reading
	the file instead of stack-allocated ones to avoid stack
	corruption.

	* src/lib/ktoblzcheck.cc: Check really all const chars for
	sanity. This should hopefully fix the erroneous free's that were
	sighted on debian.

2005-12-22  Christian Stimming <stimming@tuhh.de>

	* configure.ac: Release version 1.9

	* configure.ac: Renamed configure.in into configure.ac.

2005-11-29  Christian Stimming <stimming@tuhh.de>

	* src/include/iban.h: Fix header for gcc4.1 as pointed out by
	Hanno Boeck.

2005-11-16  Christian Stimming <stimming@tuhh.de>

	* src/lib/methods.cc: Methods B9 and C0 added by Alexander Kurz
	<akurz@blala.de>

2005-11-07  Christian Stimming <stimming@tuhh.de>

	* configure.in: Release version 1.8

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2005-12-05 onwards

2005-10-26  Christian Stimming <stimming@tuhh.de>

	* src/lib/Makefile.am, configure.in: Have the windows DLL be
	created by libtool directly. Greatly simplifies the Makefile.

2005-09-21  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc (readFile): Fix longer PLACE field in the
	new bankdata format which is valid from 2006-06-05 onwards.

2005-09-08  Christian Stimming <stimming@tuhh.de>

	* configure.in: Enable python files by default.

	* ktoblzcheck.pc.in: Add configuration file for pkg-config, let
	this also be installed.

2005-08-12  Christian Stimming <stimming@tuhh.de>

	* Note: Silently released the version 1.7 again with the upgraded
	bundesbank.pl script.
	
	* src/bankdata/online_update.pl.in: Only use the new conversion
	script, dont use recode anymore.

2005-08-11  Christian Stimming <stimming@tuhh.de>

	* src/bankdata/bundesbank.pl.in: New conversion script by
	Alexander Kurz.

2005-08-10  Christian Stimming <stimming@tuhh.de>

	* configure.in: Release version 1.7

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2005-09-05 onwards

	* src/bankdata/online_update.pl.in: Add recoding of the downloaded
	file into the locale encoding before SED is run, and into the
	library encoding afterwards.

	* src/bankdata/bundesbank.sed.in: non-gnu SED does not have the
	'+' in regexp. Fixed by Alexander Kurz.

	* src/bankdata/online_update.pl.in: Replace hardcoded perl path by
	one determined by ./configure, by Alexander Kurz.

2005-07-29  Christian Stimming  <stimming@tuhh.de>

	* src/include/ktoblzcheck.h: Add function
	AccountNumberCheck::libraryVersion() to return the VERSION conf
	variable, a string like "1.6". Currently the easiest way to get a
	version number into here.

2005-07-27  Christian Stimming  <stimming@tuhh.de>

	* src/include/ktoblzcheck.h: Add function
	AccountNumberCheck::stringEncoding() to make the character
	encoding of the returned strings publicly known.

2005-07-21  Christian Stimming <stimming@tuhh.de>

	* autogen.sh: Simplify the bootstrap script even more.

2005-07-20  Christian Stimming <stimming@tuhh.de>

	* src/lib/methods.cc: B6, B7 and B8 methods added by Alexander
	Kurz.

2005-06-22  Christian Stimming <stimming@tuhh.de>

	* configure.in: Release version 1.6

2005-06-21  Christian Stimming <stimming@tuhh.de>

	* src/lib/methods.cc: B4 and B5 methods added by Alexander Kurz

2005-05-24  Christian Stimming <stimming@tuhh.de>

	* configure.in: Release version 1.5

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2005-06-06 onwards

	* src/lib/Makefile.am: Incremented SO_VERSION and SO_AGE because
	of added iban functions.

2005-04-20  Andreas Degert  <ad@papyrus-gmbh.de>

	* src/python/ktoblzcheck.py: do not use the global shared library
	handle inside __del__ functions; global variables might be already
	deleted when __del__ is called.

	* src/include/iban.h: add dokumentation for constructor.

2005-04-20  Christian Stimming <stimming@tuhh.de>

	* doc/mainpage.doxygen.in: Added doxygen mainpage that will also
	be used as the new web page. Improved documentation all over the
	place.
	
	* src/python/ktoblzcheck.py: Added Andreas' python module for
	accessing ktoblzcheck. This is enabled by --enable-python.

	* src/lib/iban_check.cc: Add test program. Prepare "make check"
	rules for using the test program.
	
	* src/include/iban.h, src/lib/iban.cc: Add const where applicable.

2005-04-19  Andreas Degert  <ad@papyrus-gmbh.de>

	* src/bin/ibanchk.cc: work with new interface, use streams instead
	of stdio, accept IBAN as command line argument.

	* src/include/iban.h, src/lib/iban.cc: new interface and
	implementation.

	* src/bankdata/ibandata.txt: data file describing IBAN format.

2005-04-11  Christian Stimming <stimming@tuhh.de>

	* src/include/iban.h, src/lib/iban.cc: Add C wrappers to iban and
	added warning about potential code problems there.

2005-04-07  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Make sure the account-id is not too
	long.

2005-03-17  Christian Stimming <stimming@tuhh.de>

	* configure.in: Released version 1.4 -sigh- because of the
	installation problem with SED.

	* src/bankdata/bundesbank.sed.in: Use the SED variable from
	configure time instead of fixed path.

2005-03-01  Christian Stimming <stimming@tuhh.de>

	* configure.in: Released version 1.3

	* src/bankdata/bankdata.txt: Updated bankdata file, now valid from
	2005-03-05 onwards.

	* src/bankdata/online_update.pl.in, README: Add perl script for
	automated download of updated bankdata files.

2005-01-24  Christian Stimming <stimming@tuhh.de>

	* src/bin/ktoblzcheck.cc: Add file-based batch processing, by
	Michael Plugge <m.plugge@fh-mannheim.de>

2005-01-21  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Optimized the file reading functions
	quite a bit, so that it runs 25% faster. Gee, this pays off.

	* src/bin/ktoblzcheck.cc: Add argument --outformat for optionally
	getting the output format, tab-delimited: "Bankname, Ort,
	Check-Ergebnis, BLZ, Kontonummer, Methodenname"

	* src/include/ktoblzcheck.h: Add resultToString method for
	easy conversion of enum to string.

2005-01-20  Christian Stimming <stimming@tuhh.de>

	* src/lib/algorithms.cc: Fixing algo06, by Erik Kerger

2005-01-17  Christian Stimming <stimming@tuhh.de>

	* src/lib/algorithms.h, algorithms.cc: Implement some slight
	performance improvements because Michael Plugge showed how much
	faster you can get. Probably the loading of the datafile should be
	optimized as well, but currently isn't.

	* src/lib/methods.cc: Fix method 56 after hint from Michael Plugge
	<m.plugge@fh-mannheim.de> and the test numbers in his konto_check
	package.

2005-01-16  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc, src/lib/methods.cc: Modified lookup of
	code for method from the original "giant if-statement" to a
	std::map hash table of callback functions. However, this sped up
	the number checking only by roughly 15%, so it probably wasn't
	worth the effort :-(

2005-01-11  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Fix for method 11 by Erik Kerger

2005-01-02  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: New methods by Jens Gecius
	<jens@gecius.de>. He also discovered a fundamental problem with
	algo02, but didn't have time so far to fix it.

2004-11-10  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Released version 1.2

	* src/bankdata/bankdata.txt: Updated, now valid from 2004-12-04
	onwards.

2004-09-10   Christian Stimming <stimming@tuhh.de>

	* src/include/ktoblzcheck.h, src/lib/accnum.cc: Improve
	documentation. Add C wrapper for copy constructor of
	AccountNumberCheck::Record class.
	
	* src/lib/Makefile.am: Increase SO_VERSION and SO_AGE because a
	function has been added.

2004-09-08   Christian Stimming <stimming@tuhh.de>

	* configure.in: Released version 1.1

	* src/lib/algorithms.cc (accnum_getRegKey): Add function to
	retrieve installation path from windows registry.

	* ktoblzcheck.iss.in: Add setup file for Inno Setup compiler.

2004-08-23  Christian Stimming  <stimming@tuhh.de>

	* src/lib/algorithms.cc: Another fix for algo 53/54 by Erik Kerger
	<erik@kedo.com>.

2004-08-14  Christian Stimming  <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Updated, now valid from 2004-09-06
	onwards.

	* src/lib/algorithms.cc, src/lib/ktoblzcheck.cc: Fix for algo 53
	by Erik Kerger <erik@kedo.com>.

2004-07-20  Christian Stimming <stimming@tuhh.de>

	* configure.in: Released version 1.0

	* README: Updated new URL of bankdata source
	
	* src/bankdata/bankdata.txt: Updated, now valid from 2004-06-07
	onwards.

2004-05-04  Christian Stimming  <stimming@tuhh.de>

	* ktoblzcheck.vcproj: Add project file for Microsoft Visual Studio
	C++ compiler -- this should run out-of-the-box. Fixed several
	source code problems with the MSVC compiler.
	
	* macros/ac_c_long_long.m4: Add configure check for long long
	type. Fix macros for upcoming automake-1.8.
	
	* src/lib/Makefile.am: Fix DLL rules.
	
	* INSTALL.WIN32: Add installation notes for windows archives.

2004-05-02  Christian Stimming  <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Change at algorithm 91 and insert A1 --
	patch by Daniel Glöckner <daniel-gl@gmx.net>.

2004-04-24  Christian Stimming  <stimming@tuhh.de>

	* src/include/iban.h, src/lib/iban.cc, src/bin/ibanchk.cc: Initial
	IBAN creation and check code, contributed by Gerhard Gappmeier
	<gerhard.gappmeier@ascolab.com>. Test code is in ibanchk.cc, and
	further contributions and improvements are welcomed!

2004-02-18  Christian Stimming <stimming@tuhh.de>

	* configure.in: Released version 0.7

	* src/bankdata/bankdata.txt: Updated, now valid from 2004-03-08
	onwards.

2004-01-28  Christian Stimming <stimming@tuhh.de>

	* README.WIN32: Windows DLLs can be built. This is described in
	this file.

	* configure.in, everywhere: Improve build system for compiling on
	Windows/mingw.

2004-01-27  Christian Stimming <stimming@tuhh.de>

	* src/bin/ktoblzcheck.cc: Fix handling of bankdata path
	argument. Also, add argument "--bankdata-path" that (guess what)
	prints the bankdata path.

	* src/bin/Makefile.am, check_ktoblzcheck: Add test script and
	"make check" target. Clean up makefiles.

2004/01/19: Martin Preuss<martin@libchipcard.de>
------------------------------------------------
- applied a multi-distribution patch for RPMs submitted by
  Ronny Buchmann. Thanks to him it is now much easier to create RPMs for
  the various distributions ;-)


2004-01-02  Christian Stimming  <stimming@tuhh.de>

	* AUTHORS: Add remark about authors and contributors. Add
	copyright notices to other headers.

2003-11-29  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Released version 0.6.
	
	* src/bankdata/bankdata.txt: Updated, now valid from 2003-12-03
	onwards.

	* src/bankdata/bundesbank.sed: Remove \r\n line endings to fix sed
	script, after the hint by Thomas Viehmann <tv@beamnet.de>.

2003-11-19  Christian Stimming <stimming@tuhh.de>

	* configure.in: released version 0.5. Added argument for compile
	switches.

2003-10-29  Fabian Kaiser <fabian@openhbci.de>

	* src/bankdata/bankdata.txt: Updated, now valid from 2003-07-31
	onwards.

	* src/lib/algorithms.cc: Fix for algo04 (method 52)

2003-09-01  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Implementation for A6, A7, A8 algorithms
	by Daniel Gloeckner <daniel-gl@gmx.net>.

	* src/bankdata/bundesbank.sed: Script for ascii file conversion by
	Daniel Gloeckner <daniel-gl@gmx.net>.

2003-08-11  Christian Stimming <stimming@tuhh.de>
	
	* configure.in: released version 0.4

2003-08-04  Christian Stimming <stimming@tuhh.de>

	* src/lib/ktoblzcheck.cc: Fix unparenthesed array initialization.

2003-08-03  Christian Stimming  <stimming@tuhh.de>

	* src/include/ktoblzcheck.h: Removed __gnu_cxx::hash_map since
	library headers that change depending on some define variable are
	no good -- imagine compiling the lib with this define active, but
	using it without. Then the program sees objects with a different
	ABI. Therefore removed that.

	* doc/ktoblzcheck.1, src/lib/ktoblzcheck.cc,
	src/lib/algorithms.{h,cc}: Many more algorithm implementation by
	Jens Gecius <jens@gecius.de>. According to him now all
	Bundesbank's algorithms are now implemented. Plus man page.

2003-06-16  Christian Stimming <stimming@tuhh.de>

	* src/include/ktoblzcheck.h, src/lib/ktoblzcheck.cc: It turned out
	that std::map from <map> is really equally fast as
	__gnu_cxx::hash_map. Therefore std::map is now used if
	<ext/hash_map> is not available.

2003-06-12  Christian Stimming <stimming@tuhh.de>

	* src/bin/benchmark.cc: Add forgotten include.

2003-06-11  Christian Stimming <stimming@tuhh.de>

	* configure.in: released version 0.3

	* README: Updated.

	* src/bankdata/bankdata.txt: Updated, now valid from 2003-06-09
	onwards.

2003-06-09  Christian Stimming  <stimming@tuhh.de>

	* src/bin/benchmark.cc: Added program to evaluate the different
	lookup methods.

	* acinclude.m4, configure.in: Added macros for checking for
	<ext/hash_map>

	* src/include/ktoblzcheck.h, src/lib/ktoblzcheck.cc: Implemented
	hash_map support if it is available.

	* ktoblzcheck.spec.in, Makefile.am: Add spec file and automated
	rules for rpm building.

2003-06-08  Christian Stimming  <stimming@tuhh.de>

	* src/lib/accnum.cc (AccountNumberCheck_new): Fix stoopid bug that
	prevented proper initialization.

	* configure.in: Released version 0.2
	
	* src/lib/algorithms.{h,cpp}: Moved algorithm functions into
	seperate file to make maintaining easier.

	* src/include/ktoblzcheck.h: Moved code to here.

	* src/include/ktoblzcheck.hh: Added deprecated warning since .hh
	suffix is totally unusual for system-wide installed headers.

2003-05-22  Christian Stimming <stimming@tuhh.de>

	* configure.in: Fixed detection of bankdata installation path.

	* src/bankdata/Makefile.am: Add bankdata.txt to EXTRA_DIST.

2003-05-04  Christian Stimming  <stimming@tuhh.de>

	* src/bankdata/bankdata.txt: Update BLZ list from bundesbank.de to
	the state of 03.03.2003.
	
	* src/lib/ktoblzcheck.cc (check): Fix stupid bug (caused by
	myself) when looking for the method to use.

	* */Makefile.am: Edited all Makefile.am's to use autotools
	standard targets and paths. Now --prefix will adjust all
	installation places accordingly.

	* src/bin/ktoblzcheck.cc: Use the bankdata_path as default data
	file.
	
	* configure.in, src/lib/ktoblzcheck.cc: Removed the
	COMPILE_RESOURCE flag because the compiler would need too much
	memory to compile it anyway. Instead, added the configure switch
	--with-bankdata-path which defaults to $prefix/share/ktoblzcheck,
	and made the default constructor use that location.

	* src/include/ktoblzcheck.hh: Update function documentation.

2003-05-03  Christian Stimming  <stimming@tuhh.de>

	* src/lib/accnum.cc: Add missing include to satisfy gcc3.3.

2003-05-02  Christian Stimming <stimming@tuhh.de>

	* src/lib/accnum.cc: Created new file with the C wrappers inside.

	* src/include/ktoblzcheck.hh: Added a lot of 'const's where
	possible. Added C wrappers for all methods.

	* src/bin/ctest.c: Small test compile file whether the header is C
	compliant.

2003-01-06  Fabian Kaiser  <fabian@openhbci.de>
	* Changelog: Rebuilt

	* README: Added some installation info

	* src/include/ktoblzcheck.hh, src/lib/ktoblzcheck.cc: Fixes for
	gcc-3.2, thanks to Harald Anlauf
	
2002-09-02  Fabian Kaiser  <fabian@openhbci.de>

	* src/lib/ktoblzcheck.cc: some new methods

2002-09-01  Fabian Kaiser  <fabian@openhbci.de>

	* src/lib/ktoblzcheck.cc: many new methods

	* src/include/ktoblzcheck.hh, src/lib/ktoblzcheck.cc,
	src/bin/ktoblzcheck.cc: some new check-methods, some fixes, code
	cleaned up

2002-08-31  Fabian Kaiser  <fabian@openhbci.de>

	* src/lib/ktoblzcheck.cc: support for 91 48 47 46 40 39 81 60 59
	57 54 49 50

2002-08-29  Fabian Kaiser  <fabian@openhbci.de>

	* src/bin/ktoblzcheck.cc: the demo-tool now displays the bank-name

	* src/bin/ktoblzcheck.cc: in the demo-tool, an external file can
	now be specified on the command line

	* src/lib/ktoblzcheck.cc: support for 65,33,38,68

	* src/lib/ktoblzcheck.cc: support for 68

	* src/lib/ktoblzcheck.cc: support for 99

	* src/lib/ktoblzcheck.cc: support for 63,76

	* src/lib/ktoblzcheck.cc: support for 2,4,7,14

	* config.cache, config.log: not needed

	* src/lib/ktoblzcheck.cc: support for 32,34,88


